org.apache.struts2.rest.handler

## Class XStreamHandler

- java.lang.Object
- - org.apache.struts2.rest.handler.AbstractContentTypeHandler
  - - org.apache.struts2.rest.handler.XStreamHandler

- All Implemented Interfaces:
    ContentTypeHandler

      public class XStreamHandler
      extends AbstractContentTypeHandler

  Handles XML content

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XStreamHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDefaultPermissions(ActionInvocation invocation, com.thoughtworks.xstream.XStream stream)`
    `protected com.thoughtworks.xstream.XStream` | `createXStream()` Deprecated. use version with `ActionInvocation`
    `protected com.thoughtworks.xstream.XStream` | `createXStream(ActionInvocation invocation)`
    `String` | `fromObject(ActionInvocation invocation, Object obj, String resultCode, Writer out)`
    `String` | `getContentType()` Gets the content type for this handler
    `String` | `getExtension()` Gets the extension this handler supports
    `void` | `toObject(ActionInvocation invocation, Reader in, Object target)`

    - ### Methods inherited from class org.apache.struts2.rest.handler.AbstractContentTypeHandler

      `fromObject, toObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XStreamHandler

          public XStreamHandler()

  - ### Method Detail

    - #### fromObject

          public String fromObject(ActionInvocation invocation,
                                   Object obj,
                                   String resultCode,
                                   Writer out)
                            throws IOException

      Throws:
        `IOException`

    - #### toObject

          public void toObject(ActionInvocation invocation,
                               Reader in,
                               Object target)

    - #### createXStream

          @Deprecated
          protected com.thoughtworks.xstream.XStream createXStream()

      Deprecated. use version with `ActionInvocation`

    - #### createXStream

          protected com.thoughtworks.xstream.XStream createXStream(ActionInvocation invocation)

    - #### addDefaultPermissions

          protected void addDefaultPermissions(ActionInvocation invocation,
                                               com.thoughtworks.xstream.XStream stream)

    - #### getContentType

          public String getContentType()

      Description copied from interface: `ContentTypeHandler`
      Gets the content type for this handler
      Returns:
        The mime type

    - #### getExtension

          public String getExtension()

      Description copied from interface: `ContentTypeHandler`
      Gets the extension this handler supports
      Returns:
        The extension

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.